Category: WMS
Has patch: Hito:
Description

The steps we took on the gvSIG 2.1.RC1 is listed below:

1. Click on [View] and create a project pressing the [New] button on the
[Project manager] dialog box.
2. Under the [View] tab, click on [Add layer].
3. On the [Add layer] dialog box that popped up, select the [WMS] tab.
4. Under the [WMS] tab, choose the GeoServer from the dropdown box and
press the [Connect] button.
5. Inside the [Description Name] box, "For input string: "WGS84"" 
appears, and is unable to press on the [Next] button.

Next I will provide the WMS url.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2584: Al cargar algunos ... Closed 06/19/2014

History
#1 - 07/09/2014 05:26 AM - Victoria Agazzi

GeoServer version 2.5.1

#2 - 07/09/2014 05:28 AM - Álvaro Anguix

Tiene pinta de ser el mismo que el 2584, ya arreglado en los últimos builds.

#3 - 07/09/2014 05:28 AM - Álvaro Anguix
- Related to gvSIG bugs #2584: Al cargar algunos WMS tarda varios minutos en habilitarse el boton de siguiente. added

#4 - 07/11/2014 02:17 AM - Victoria Agazzi
- Assignee changed from Victoria Agazzi to Álvaro Anguix
- File log2.1_bug-2659.zip added

05/07/2024 1/4



I add the .log file from the test did with the 2.1_2223RC1 version.

The url of the WMS service is not available from outside their network, they told me:

"Our server disables the access from outside, so you may not be able
to use it for testing. However the url is in this kind of format:

http://xxx.xxx.xxx.xxx:xxxx/geoserver/ishikawa/wms
"

#5 - 07/11/2014 04:14 AM - Antonio Falciano

Hi Victoria,
this issue usually happens with Geoserver WMS configured with "all supported EPSG projections" (see the service capabilities), a good crash test for
gvSIG jCRS extension. In fact, there are a lot of "I cannot get the transformation between EPSG:4326 and EPSG:..." messages in the gvSIG.log, so it's
very useful in order to debug jCRS. It occurs also with the latest build (BN 2233) and the updated EPSG Registry (#2306). So it's not due to the lack of
CRSs in gvSIG, but to the jCRS extension which is not able to manage all the (relatively) new coordinate operation methods aliases (see also #1371,
#2596, #2624 and #2664) and consequently the transformation parameters between several CRSs.
ASAP I'll try to create a new ticket with a list of all these methods in order to verify which of them are actually supported or not by the jCRS extension.

#6 - 07/11/2014 04:46 AM - Antonio Falciano

Without reinventing the wheel, updating the GeoTools libraries used in the jCRS extension could be the solution. They should be kept separated from
the org.gvsig implementations in order to be updated regularly, just like the EPSG Registry.

#7 - 07/14/2014 01:15 PM - Victoria Agazzi
- % Done changed from 0 to 100
- Target version set to 2.1.0-2259-rc3
- Status changed from New to Closed

Hi Antonio, thanks for your comments. I really do not investigate about, only opened the bug in order to have it to test later by the Japanese enterprise
that had the problem.

On the last build (2223) it seems to be fixed. 
Bye!

#8 - 07/14/2014 01:17 PM - Victoria Agazzi

I made a mistake with the build number where the bug seems to be fixed!!!! Sorry, It's the last one: 2.1_2233.

#9 - 07/14/2014 01:17 PM - Victoria Agazzi

Victoria Agazzi wrote:

Hi Antonio, thanks for your comments. I really do not investigate about, only opened the bug in order to have it to test later by the Japanese
enterprise that had the problem.

On the last build (2233) it seems to be fixed. 
Bye!

#10 - 07/15/2014 03:58 AM - Antonio Falciano

IMHO this bug is not fixed yet, because I can reproduce it with BN2234 too. Maybe the specific case you reported is solved, because the server
configuration was adjusted declaring only few supported CRSs in the meanwhile. But it's impossible to verify it without its URL. :) However, if you
deploy a GeoServer WMS configured with "all supported EPSG projections", you'll obtain the same issue for sure.

#11 - 07/15/2014 03:59 AM - Antonio Falciano
- Status changed from Closed to New

#12 - 07/23/2014 06:01 PM - Álvaro Anguix
- Assignee changed from Álvaro Anguix to Joaquín  del Cerro Murciano

#13 - 08/25/2014 05:16 AM - Álvaro Anguix
- Target version deleted (2.1.0-2259-rc3)

#14 - 09/26/2014 10:07 AM - Antonio Falciano

Severity: Blocker

For instance, here's a public WMS using GeoServer that returns this kind of issue.
URL: http://sitap.beniculturali.it:8080/geoserver/apar.public/wms
GetCapabilities: http://sitap.beniculturali.it:8080/geoserver/apar.public/wms?service=wms&#38;request=getcapabilities

From its capabilities:

<!--All supported EPSG projections:-->
<CRS>AUTO:42001</CRS>
<CRS>AUTO:42002</CRS>
<CRS>AUTO:42003</CRS>
<CRS>AUTO:42004</CRS>
<CRS>EPSG:WGS84(DD)</CRS>
<CRS>EPSG:2000</CRS>
<CRS>EPSG:2001</CRS>
<CRS>EPSG:2002</CRS>
...
<CRS>EPSG:42102</CRS>
<CRS>EPSG:42306</CRS>
<CRS>EPSG:42101</CRS>
<CRS>EPSG:42305</CRS>
<CRS>EPSG:42304</CRS>
<CRS>EPSG:42303</CRS>
<CRS>CRS:84</CRS>

What's happen? When we connect to this service, gvSIG downloads the capabilities and then verifies if it supports all these CRSs! But we know that
not all CRS (and their relative operation methods) are actually supported in gvSIG (in Proj.4 and GDAL too!). IMHO this strategy is highly inefficient
(especially when we have a very long list of CRSs supported by the service), because this check is made before that the user choose the CRS.
Instead, I'd let the user to choose the CRS before and gvSIG to verify if this CRS is supported after. If the CRS is convertible in the Proj4 format and
we can retrieve its transformation parameters successfully, then we can load the WMS layer, else a warning should appear saying that the selected
CRS is not supported inviting the user to retry again choosing another one or close the wizard.

#15 - 11/05/2014 12:51 PM - Antonio Falciano
- Status changed from New to Closed

Because Viqui has solved her specific issue described at the beginning of this ticket, I close it again. For future reference, I've just opened another one
(#2970).

Files
log2.1_bug-2659.zip 45.4 KB 07/11/2014 Victoria Agazzi
